<template>
    <div class="LocationsComponent">
        <div class="row">
            <div class="col-lg-8">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">
                            Total Visits
                        </h4>
                        <div id="visitfromworld" style="width:100%!important; height:415px"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">
                            Browser Stats
                        </h4>
                        <div class="table-responsive">
                            <table class="table browser mt-4 table-borderless no-wrap">
                                <tbody>
                                <!-- chrome -->
                                <tr>
                                    <td style="width:40px">
                                        <img src="/src/assets/images/back/browser/chrome-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Google Chrome
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-info text-info">23%</span>
                                    </td>
                                </tr>
                                <!-- firefox -->
                                <tr>
                                    <td>
                                        <img src="/src/assets/images/back/browser/firefox-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Mozila Firefox
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-success text-success">15%</span>
                                    </td>
                                </tr>
                                <!-- safari -->
                                <tr>
                                    <td>
                                        <img src="/src/assets/images/back/browser/safari-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Apple Safari
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-primary text-primary">07%</span>
                                    </td>
                                </tr>
                                <!-- ie -->
                                <tr>
                                    <td>
                                        <img src="/src/assets/images/back/browser/internet-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Internet Explorer
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-warning text-warning">09%</span>
                                    </td>
                                </tr>
                                <!-- opera -->
                                <tr>
                                    <td>
                                        <img src="/src/assets/images/back/browser/opera-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Opera mini
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-danger text-danger">23%</span>
                                    </td>
                                </tr>
                                <!-- edge -->
                                <tr>
                                    <td>
                                        <img src="/src/assets/images/back/browser/internet-logo.png" alt=logo />
                                    </td>
                                    <td>
                                        Microsoft edge
                                    </td>
                                    <td class="text-right">
                                        <span class="badge badge-light-megna text-megna">09%</span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

    // (~) is an alias for ./src/components


    //import Swal from 'jv';

    /*
        <script src="../assets/extra-libs/jvector/jquery-jvectormap-2.0.2.min.js">
        <script src="../assets/extra-libs/jvector/jquery-jvectormap-world-mill-en.js">
     */

    export default {
        name: "LocationsComponent",
        components: {
            //...
        },
        methods: {
            //...
        },
        created() {
            //this.$store.dispatch('getLocale');

            // ==============================================================
            // world map
            // ==============================================================
            // jQuery('#visitfromworld').vectorMap({
            //     map: 'world_mill_en'
            //     , backgroundColor: '#fff'
            //     , borderColor: '#ccc'
            //     , borderOpacity: 0.9
            //     , borderWidth: 1
            //     , zoomOnScroll : false
            //     , color: '#ddd'
            //     , regionStyle: {
            //         initial: {
            //             fill: '#fff'
            //         }
            //     }
            //     , markerStyle: {
            //         initial: {
            //             r: 8
            //             , 'fill': '#55ce63'
            //             , 'fill-opacity': 1
            //             , 'stroke': '#000'
            //             , 'stroke-width': 0
            //             , 'stroke-opacity': 1
            //         }
            //         , }
            //     , enableZoom: true
            //     , hoverColor: '#79e580'
            //     , markers: [{
            //         latLng: [21.00, 78.00]
            //         , name: 'India : 9347'
            //         , style: {fill: '#55ce63'}
            //     },
            //         {
            //             latLng : [-33.00, 151.00],
            //             name : 'Australia : 250'
            //             , style: {fill: '#02b0c3'}
            //         },
            //         {
            //             latLng : [36.77, -119.41],
            //             name : 'USA : 250'
            //             , style: {fill: '#11a0f8'}
            //         },
            //         {
            //             latLng : [55.37, -3.41],
            //             name : 'UK   : 250'
            //             , style: {fill: '#745af2'}
            //         },
            //         {
            //             latLng : [25.20, 55.27],
            //             name : 'UAE : 250'
            //             , style: {fill: '#ffbc34'}
            //         }]
            //     , hoverOpacity: null
            //     , normalizeFunction: 'linear'
            //     , scaleColors: ['#fff', '#ccc']
            //     , selectedColor: '#c9dfaf'
            //     , selectedRegions: []
            //     , showTooltip: true
            //     , onRegionClick: function (element, code, region) {
            //         var message = 'You clicked "' + region + '" which has the code: ' + code.toUpperCase();
            //         alert(message);
            //     }
            // });
        }
    }
</script>

<style scoped>

</style>